 package com.huimv.management.controller;

import java.util.Arrays;
import java.util.Map;

import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.huimv.management.entity.IndoorEnvironmentEntity;
import com.huimv.management.service.IndoorEnvironmentService;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.R;



/**
 * 室内环境信息表
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-05-07 15:32:42
 */
@Api(tags = "室内环境信息表")
@RestController
@RequestMapping("management/indoorenvironment")
public class IndoorEnvironmentController {
    @Autowired
    private IndoorEnvironmentService indoorEnvironmentService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = indoorEnvironmentService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		IndoorEnvironmentEntity indoorEnvironment = indoorEnvironmentService.getById(id);

        return R.ok().put("indoorEnvironment", indoorEnvironment);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody IndoorEnvironmentEntity indoorEnvironment){
		indoorEnvironmentService.save(indoorEnvironment);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody IndoorEnvironmentEntity indoorEnvironment){
		indoorEnvironmentService.updateById(indoorEnvironment);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		indoorEnvironmentService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
